<?php
add_action( 'admin_enqueue_scripts', 'level_pages_plugin_enqueue' );
function level_pages_plugin_enqueue(){
	wp_enqueue_style('pages-css', plugin_dir_url(__FILE__).'css/admin.css');	
	wp_enqueue_script('pages-admin', plugin_dir_url(__FILE__).'js/admin.js',array("jquery", 'jquery-ui-datepicker'));	

	$script_data = array('admin_ajax' => admin_url( 'admin-ajax.php' ),"pluginurl_path"=>plugin_dir_url(__FILE__));
	wp_localize_script('pages-admin','wpa_data', $script_data );
	wp_enqueue_media();
}

function level_pages_enqueue_frontend(){
	wp_enqueue_style('frontend-css', plugin_dir_url(__FILE__).'css/frontend.css');	
	wp_enqueue_script('frontend', plugin_dir_url(__FILE__).'js/frontend.js',array("jquery"));	

	$script_data = array('ajax_frontend' => admin_url( 'admin-ajax.php' ));
	wp_localize_script('frontend','ajax_front_obj', $script_data );
}
//add_action( 'wp_enqueue_scripts', 'level_pages_enqueue_frontend' );


/* get ajax mquiz start */
add_action("wp_ajax_get_mquiz_using_ajax", "get_mquiz_using_ajax");
function get_mquiz_using_ajax(){
	global $wpdb;
	$table_name=$wpdb->prefix."mtouchquiz_quiz_ls";
	$sql="SELECT * FROM ".$table_name." WHERE quiz_group_id=".$_POST['group_id']." AND status=1 ORDER BY name ASC";
	$results=$wpdb->get_results($sql);
	if( isset($results) ){
		foreach($results as $result){
			?><option value="<?php echo $result->ID; ?>"><?php echo $result->name; ?></option><?php
		}
	}else{
		echo "0";
	}
	exit(0);
}
/* get ajax mquiz end */

/* get ajax topics start */
add_action("wp_ajax_get_topics_using_ajax", "get_topics_using_ajax");
function get_topics_using_ajax(){
	global $wpdb;
	$group_table=$wpdb->prefix."quiz_group";
	$section_table=$wpdb->prefix."sections";
	$topic_table=$wpdb->prefix."topics";

	$sql="SELECT topic.id, topic.topic_name
	FROM ".$wpdb->prefix."topics as topic
	INNER JOIN ".$wpdb->prefix."sections ON topic.section_id=".$wpdb->prefix."sections.id
	INNER JOIN ".$wpdb->prefix."quiz_group ON ".$wpdb->prefix."sections.group_id=".$wpdb->prefix."quiz_group.id where ".$wpdb->prefix."quiz_group.id=".$_POST['group_id']." AND topic.status=1 ORDER BY topic_name ASC;";
	$results=$wpdb->get_results($sql);
	if( isset($results) ){
		foreach($results as $result){
			?><option value="<?php echo $result->id; ?>"><?php echo $result->topic_name; ?></option><?php
		}
	}else{
		echo "0";
	}
	exit(0);
}
/* get ajax topics end */

add_action("wp_ajax_get_topics", "get_topics");
function get_topics(){
	global $wpdb;
	$table_name=$wpdb->prefix."topics";
	$sql="select * from ".$table_name." where status=1 AND section_id=".$_POST['section_id'];
	$results=$wpdb->get_results($sql);
	if( isset($results) ){
		foreach($results as $result){
			?><option value="<?php echo $result->id; ?>"><?php echo $result->topic_name; ?></option><?php
		}
	}else{
		echo "0";
	}
	exit(0);
}

function get_quize_topic($section_id){
	global $wpdb;
	$table_name=$wpdb->prefix."topics";
	$sql="select * from ".$table_name." where section_id=".$section_id;
	$results=$wpdb->get_results($sql);

	return ($results);
}


function get_quize_group(){
	global $wpdb;
	$table_name=$wpdb->prefix."quiz_group";
	$sql="select * from ".$table_name." where status=1";
	$results=$wpdb->get_results($sql);
	return $results;
}

function get_quize_section(){
	global $wpdb;
	$table_name=$wpdb->prefix."sections";
	$sql="select * from ".$table_name." where status=1";
	$results=$wpdb->get_results($sql);
	return $results;
}


/*select verticle menu*/
add_action( 'add_meta_boxes', 'verticle_menu_meta_box' );
function verticle_menu_meta_box() {
	add_meta_box( 'l1-sidebar-menu-1', 'Select Menu', 'verticle_menu', array('page'),'side','' );
}
function verticle_menu($post, $quiz_group){
	$ls_level_menu=get_post_meta($post->ID,'_ls_level_menu',true);
	$result_nav_menus=nav_menus_obj();
	?>
	<select name="manuid" class="regular-text">
		<option value="">Select</option>
		<?php if( isset($result_nav_menus) ){  foreach ($result_nav_menus as $result) { ?>
			<option value="<?php echo $result->term_id; ?>" <?php echo ((isset($ls_level_menu) && $ls_level_menu==$result->term_id?"selected":"")); ?>><?php echo $result->name; ?></option>
		<?php  } }  ?>
	</select>
	<?php
}

add_action( 'save_post', 'save_verticle_menu' );
function save_verticle_menu($post_id ) {
	$manuid=get_post_meta($post_id,'_ls_level_menu',true);
	if(!empty($manuid)){
		if(empty($_POST['manuid'])){
			delete_post_meta($post_id,'_ls_level_menu',$_POST['manuid']);
		}else{
			update_post_meta($post_id,'_ls_level_menu',$_POST['manuid']);
		}
	}else{
		if(!empty($_POST['manuid'])){
			update_post_meta($post_id,'_ls_level_menu',$_POST['manuid']);
		}
	}
}

function get_student_percentile($data){
	global $wpdb;
	if(is_user_logged_in() && isset($data['quiz_id']) && is_numeric($data['quiz_id'])){
	if(isset($data['quiz_id']) && !empty($data['quiz_id'])  && trim($data['quiz_id'])!=""){
		$quiz_table=$wpdb->prefix."mtouchquiz_quiz_ranking_ls_final";
		$sql="select quiz_percentile from ".$quiz_table." where quiz_id=".$data['quiz_id']." and user_id=".get_current_user_id();
		$result=$wpdb->get_results($sql);
		if( isset($result) ){
			foreach($result as $rslt){
				$percentile=$rslt->quiz_percentile;
			}
		}
	}
	if(isset($data['topic_id']) && !empty($data['topic_id']) && trim($data['topic_id'])!=""){
		$topic_table=$wpdb->prefix."mtouchquiz_topic_ranking_ls_final";
		$sql="select topic_percentile from ".$topic_table." where topic_id=".$data['topic_id']." and user_id=".get_current_user_id();
		$result=$wpdb->get_results($sql);
		if( isset($result) ){
			foreach($result as $rslt){
				$percentile=$rslt->topic_percentile;
			}
		}
	}
	if(isset($data['section_id']) && !empty($data['section_id']) && trim($data['section_id'])!=""){
		$section_table=$wpdb->prefix."mtouchquiz_section_ranking_ls_final";
		$sql="select section_percentile from ".$section_table." where section_id=".$data['section_id']." and user_id=".get_current_user_id();
		$result=$wpdb->get_results($sql);
		if( isset($result) ){
			foreach($result as $rslt){
				$percentile=$rslt->section_percentile;
			}
		}
	}
	if(isset($data['group_id']) && !empty($data['group_id']) && trim($data['group_id'])!=""){
		$group_table=$wpdb->prefix."mtouchquiz_group_ranking_ls_final";
		$sql="select group_percentile from ".$group_table." where group_id=".$data['group_id']." and user_id=".get_current_user_id();
		$result=$wpdb->get_results($sql);
		if( isset($result) ){
			foreach($result as $rslt){
				$percentile=$rslt->group_percentile;
			}
		}
	}
}else{
	$percentile=0;
}
	if( isset($percentile) && !empty($percentile) ){
		$return_percentile=$percentile;
	}else{
		$return_percentile=0;
	}
	return $return_percentile;
}

/*get topic wise result for for l3 page analytics section*/
function get_topic_wise_result($data){
	global $wpdb;
	$current_user=get_current_user_id();
	$table_result=$wpdb->prefix."mtouchquiz_result_ls";
	$table_quiz=$wpdb->prefix."mtouchquiz_quiz_ls";
	$get_result_sql="select * from ".$table_result." where user_id=".$current_user." and topic_id=".$data['topic_id']." and section_id=".$data['section_id'];
	$get_results=$wpdb->get_results($get_result_sql);
	return $get_results;
}


/* product list start */
add_action('wp_ajax_get_products_using_ajax', 'get_products_using_ajax');
add_action('wp_ajax_nopriv_get_products_using_ajax', 'get_products_using_ajax');
function get_products_using_ajax(){
	if(isset($_POST['tab_id']) && !empty($_POST['tab_id'])){
		$tab_id = $_POST['tab_id'];
	}else{
		$tab_id = 0;
	}

	$args = array(
		'post_type' => array('product_variation','product'),
		'numberposts' => -1,
	);

	$variations = get_posts( $args );

	echo "<select name='price_button_value[".$tab_id."][]' class='w-100'>";
	echo "<option value=''>- Select Product -</option>";
	if( isset($variations) ){
		foreach ( $variations as $variation ) {
			$variation_ID = $variation->ID;
			echo "<option value='".$variation_ID."'>".get_the_title($variation_ID)."</obtion>";
		}
	}
	echo "</select>";
	exit(0);
}
/* product list end */

/* product list for sidebar start */
add_action('wp_ajax_get_products_using_ajax_for_sidebar', 'get_products_using_ajax_for_sidebar');
add_action('wp_ajax_nopriv_get_products_using_ajax_for_sidebar', 'get_products_using_ajax_for_sidebar');
function get_products_using_ajax_for_sidebar(){
	$args = array(
		'post_type' => array('product_variation','product'),
		'numberposts' => -1,
	);

	$variations = get_posts( $args );

	echo "<select name='price_button_value_side[]' class='w-100'>";
	echo "<option value=''>- Select Product -</option>";
	if( isset($variations) ){
		foreach ( $variations as $variation ) {
			$variation_ID = $variation->ID;
			echo "<option value='".$variation_ID."'>".get_the_title($variation_ID)."</obtion>";
		}
	}
	echo "</select>";
	exit(0);
}
/* product list for sidebar end */

/* get classes options start */
function get_classes_options($value="")
{

	$button_green_filled = ($value=="button_green_filled") ? "selected" : "";
	$button_green_border = ($value=="button_green_border") ? "selected" : "";
	$button_blue_filled = ($value=="button_blue_filled") ? "selected" : "";
	$button_blue_border = ($value=="button_blue_border") ? "selected" : "";

	$button_green_filled_lg = ($value=="button_green_filled_lg") ? "selected" : "";
	$button_green_border_lg = ($value=="button_green_border_lg") ? "selected" : "";
	$button_blue_filled_lg = ($value=="button_blue_filled_lg") ? "selected" : "";
	$button_blue_border_lg = ($value=="button_blue_border_lg") ? "selected" : "";


	$tag_green_filled = ($value=="tag_green_filled") ? "selected" : "";
	$tag_green_border = ($value=="tag_green_border") ? "selected" : "";
	$tag_blue_filled = ($value=="tag_blue_filled") ? "selected" : "";
	$tag_blue_border = ($value=="tag_blue_border") ? "selected" : "";

	$tag_green_filled_lg = ($value=="tag_green_filled_lg") ? "selected" : "";
	$tag_green_border_lg = ($value=="tag_green_border_lg") ? "selected" : "";
	$tag_blue_filled_lg = ($value=="tag_blue_filled_lg") ? "selected" : "";
	$tag_blue_border_lg = ($value=="tag_blue_border_lg") ? "selected" : "";


	$strip_tag_green_filled = ($value=="strip_tag_green_filled") ? "selected" : "";
	$strip_tag_green_border = ($value=="strip_tag_green_border") ? "selected" : "";
	$strip_tag_blue_filled = ($value=="strip_tag_blue_filled") ? "selected" : "";
	$strip_tag_blue_border = ($value=="strip_tag_blue_border") ? "selected" : "";

	$strip_tag_green_filled_lg = ($value=="strip_tag_green_filled_lg") ? "selected" : "";
	$strip_tag_blue_filled_lg = ($value=="strip_tag_blue_filled_lg") ? "selected" : "";

	$options = '<option value="button_green_filled" '.$button_green_filled.'>button_green_filled</option><option value="button_green_border" '.$button_green_border.'>button_green_border</option><option value="button_blue_filled" '.$button_blue_filled.'>button_blue_filled</option><option value="button_blue_border" '.$button_blue_border.'>button_blue_border</option>';

	$options .= '<option value="button_green_filled_lg" '.$button_green_filled_lg.'>button_green_filled_lg</option><option value="button_green_border_lg" '.$button_green_border_lg.'>button_green_border_lg</option><option value="button_blue_filled_lg" '.$button_blue_filled_lg.'>button_blue_filled_lg</option><option value="button_blue_border_lg" '.$button_blue_border_lg.'>button_blue_border_lg</option>';

	$options .= '<option value="tag_green_filled" '.$tag_green_filled.'>tag_green_filled</option><option value="tag_green_border" '.$tag_green_border.'>tag_green_border</option><option value="tag_blue_filled" '.$tag_blue_filled.'>tag_blue_filled</option><option value="tag_blue_border" '.$tag_blue_border.'>tag_blue_border</option>';

	$options .= '<option value="tag_green_filled_lg" '.$tag_green_filled_lg.'>tag_green_filled_lg</option><option value="tag_green_border_lg" '.$tag_green_border_lg.'>tag_green_border_lg</option><option value="tag_blue_filled_lg" '.$tag_blue_filled_lg.'>tag_blue_filled_lg</option><option value="tag_blue_border_lg" '.$tag_blue_border_lg.'>tag_blue_border_lg</option>';

	$options .= '<option value="strip_tag_green_filled" '.$strip_tag_green_filled.'>strip_tag_green_filled</option><option value="strip_tag_blue_filled" '.$strip_tag_blue_filled.'>strip_tag_blue_filled</option>';

	$options .= '<option value="strip_tag_green_filled_lg" '.$strip_tag_green_filled_lg.'>strip_tag_green_filled_lg</option><option value="strip_tag_blue_filled_lg" '.$strip_tag_blue_filled_lg.'>strip_tag_blue_filled_lg</option>';

	return  $options;

}
/* get classes options end */

/* get mquiz group for box start */
function get_mquiz_group_for_box($id=""){
	global $wpdb;
	$table_quiz=$wpdb->prefix."quiz_group";
	$get_result_sql="SELECT * FROM ".$table_quiz." WHERE status=1 ORDER BY group_name ASC";
	$get_results=$wpdb->get_results($get_result_sql);
	$options = "";
	if( isset($get_results) ){
		foreach ($get_results as $key => $value) {
			$selected="";
			if($id==$value->id){
				$selected=" selected";
			}
			$options .= "<option value='".$value->id."' ".$selected.">".$value->group_name."</option>";
		}
	}

	return $options;
}
/* get mquiz group for box end */

/* get mquiz for box start */
function get_mquiz_for_box($group_id="", $quiz=""){
	global $wpdb;

	if($group_id!=""){
		$wherCon = " AND quiz_group_id=".$group_id;
	}else{
		$wherCon="";
	}

	$table_quiz=$wpdb->prefix."mtouchquiz_quiz_ls";
	$get_result_sql="SELECT ID, name FROM ".$table_quiz." WHERE status=1 ".$wherCon." ORDER BY name ASC";
	$get_results=$wpdb->get_results($get_result_sql);
	$options = "";
	if( isset($get_results) ){
		foreach ($get_results as $key => $value) {
			$selected="";
			if($quiz==$value->ID){
				$selected=" selected";
			}
			$options .= "<option value='".$value->ID."' ".$selected.">".$value->name."</option>";
		}
	}

	return $options;
}
/* get mquiz for box end */

/* get mquiz section for box start */
function get_mquiz_section_for_box($group_id="", $id=""){
	global $wpdb;

	$table_quiz=$wpdb->prefix."topics";
	if($group_id!=""){

		$get_result_sql="SELECT topic.id, topic.topic_name
		FROM ".$wpdb->prefix."topics as topic
		INNER JOIN ".$wpdb->prefix."sections ON topic.section_id=".$wpdb->prefix."sections.id
		INNER JOIN ".$wpdb->prefix."quiz_group ON ".$wpdb->prefix."sections.group_id=".$wpdb->prefix."quiz_group.id where ".$wpdb->prefix."quiz_group.id=".$group_id." AND topic.status=1 ORDER BY topic_name ASC;";

	}else{
		$get_result_sql="SELECT * FROM ".$table_quiz." WHERE status=1 ORDER BY topic_name ASC";
	}

	$get_results=$wpdb->get_results($get_result_sql);
	$options = "";
	if( isset($get_results) ){
		foreach ($get_results as $key => $value) {
			$selected="";
			if($id==$value->id){
				$selected=" selected";
			}
			$options .= "<option value='".$value->id."' ".$selected.">".$value->topic_name."</option>";
		}
	}

	return $options;
}
/* get mquiz section for box end */

/* get color types start */
function get_color_types($value="")
{

	$low = ($value=="low") ? "selected" : "";
	$medium = ($value=="medium") ? "selected" : "";
	$high = ($value=="high") ? "selected" : "";

	$options = '<option value="low" '.$low.'>low</option><option value="medium" '.$medium.'>medium</option><option value="high" '.$high.'>high</option>';

	return  $options;

}
/* get color types end */


/* get product dropdown options start */

function get_product_dropdown_options($pid=""){
	global $wpdb;
	$args = array(
		'post_type' => array('product_variation','product'),
		'numberposts' => -1,
	);
	$variations = get_posts( $args );
	$options = "";
	$options .= "<option value=''>- Select Product -</option>";
	if( isset($variations) ){
		foreach ( $variations as $variation ) {
			$variation_ID = $variation->ID;
			if($variation_ID == $pid){
				$selected = "selected";
			}else{
				$selected = "";
			}
			$options .= "<option value='".$variation_ID."' ".$selected.">".get_the_title($variation_ID)."</option>";
		}
	}

	return $options;
}

/* reindex array value start */
function ls_level_reindex_array_value($this_array){
	$newArray1 = array();
		$newArray2 = array();
			foreach($this_array as $tmparray){
			$newArray1 = array_values($tmparray);
			$newArray2[] = $newArray1;
			}
			return $newArray2;
			exit;
}
/* reindex array value end */

/* get product dropdown options end */