<?php
/**
* Plugin Name: Level Pages
* Description: This plugin is created for prepinsta. It creates a custom post type. This have fixed fields in backend. we can hide and show these for frontend. It contains UI of pages og L1- L4 pages.
* Version: 1.0.0
* Author: Lexcis
* Author URI: http://lexcis.com
* License: GPL2
*/

define( 'LEVEL_PAGES_VERSION', '1.0.1' );
define( 'LEVEL_PAGES_BASENAME', plugin_basename( __FILE__ ) );
define( 'LEVEL_PAGES_DIRECTORY', dirname( __FILE__ ) );

//require_once  LS_QST_IMP_DIRECTORY  . "/form.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/functions.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/l1page/l1page.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/l1page/l1page-save.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/l2page/l2page.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/l2page/l2page-save.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/l3page/l3page.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/l3page/l3page-save.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/l4page/l4page.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/l4page/l4page-save.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/onlineclassespage/onlineclassespage.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/onlineclassespage/onlineclassespage-save.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/paidmaterialpage/paidmaterialpage.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/paidmaterialpage/paidmaterialpage-save.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/syllabuspage/syllabuspage.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/syllabuspage/syllabuspage-save.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/recruitmentpage/recruitmentpage.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/recruitmentpage/recruitmentpage-save.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/universalpage/universalpage.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/universalpage/universalpage-save.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/mainhomepage/mainhomepage.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/mainhomepage/mainhomepage-save.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/gate1page/gate1page.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/gate1page/gate1page-save.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/newhomepage/newhomepage.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/newhomepage/newhomepage-save.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/newonlineclassespage/newonlineclassespage.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/newonlineclassespage/newonlineclassespage-save.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/newpaidmaterialpage/newpaidmaterialpage.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/newpaidmaterialpage/newpaidmaterialpage-save.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/homepage2023/homepage2023.php";
require_once  LEVEL_PAGES_DIRECTORY  . "/homepage2023/homepage2023-save.php";


function OnActivatepluginLevelPages() 
{
}

function custom_post_type() {

    $labels = array(
        'name'                => _x( 'Level Pages', 'L1 Pages' ),
        'singular_name'       => _x( 'Level Page', 'L1 Page' ),
        'menu_name'           => __( 'Level Pages' ),
        'all_items'           => __( 'All Level Pages', '' ),
        'view_item'           => __( 'View Level Pages' ),
        'add_new_item'        => __( 'Add New Page' ),
        'add_new'             => __( 'Add L1 Page' ),
        'edit_item'           => __( 'Edit Level Page' ),
        'update_item'         => __( 'Update Level Page' ),
        'search_items'        => __( 'Search Level Page'),
        'not_found'           => __( 'Not Found' ),
        'not_found_in_trash'  => __( 'Not found in Trash' ),
    );


    $args = array(
        'label'               => __( 'level-page' ),
        'description'         => __( 'Level Pages' ),
        'labels'              => $labels,
        'show_in_rest' => false,
        'supports'            => array( 'title','editor', 'author', 'comments', 'revisions', 'page-attributes'  ),
        'taxonomies'          => array( 'level-page' ),
        'hierarchical'        => true,
        'public'              => true,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => true,
        'show_in_admin_bar'   => true,
        'menu_position'       => 5,
        'menu_icon'         => "dashicons-admin-page",
        'can_export'          => true,
        'has_archive'         => true,
        'exclude_from_search' => false,
        'publicly_queryable'  => true,
        'capability_type'     => 'page',
        'tag' => 'microsoft',
    );

    register_post_type( 'level-page', $args );
}
add_action( 'init', 'custom_post_type', 0 );

function add_level_page_menu(){
    add_menu_page(   __( 'Custom Menu Title', 'textdomain' ),  'Add L2 Page',  apply_filters( 'edit_level_page', 'edit_posts' ),  'add_level_page',  '', 'dashicons-media-spreadsheet',   7 );
    add_menu_page(   __( 'Custom Menu Title', 'textdomain' ),  'Add L3 Page',  apply_filters( 'edit_level_page', 'edit_posts' ),  'add_level_page',  '', 'dashicons-media-spreadsheet',   8 );
    add_menu_page(   __( 'Custom Menu Title', 'textdomain' ),  'Add L4 Page',  apply_filters( 'edit_level_page', 'edit_posts' ),  'add_level_page',  '', 'dashicons-media-spreadsheet',   9 );
    add_menu_page(   __( 'Custom Menu Title', 'textdomain' ),  'Add Online Classes',  'edit_level_page',  'add_level_page',  '', 'dashicons-media-spreadsheet',   11 );
    add_menu_page(   __( 'Custom Menu Title', 'textdomain' ),  'Add Paid Material',  'edit_level_page',  'add_level_page',  '', 'dashicons-media-spreadsheet',   12 );
    add_menu_page(   __( 'Custom Menu Title', 'textdomain' ),  'Add Syllabus',  apply_filters( 'edit_level_page', 'edit_posts' ),  'add_level_page',  '', 'dashicons-media-spreadsheet',   13 );
    add_menu_page(   __( 'Custom Menu Title', 'textdomain' ),  'Add Recruitment',  'edit_level_page',  'add_level_page',  '', 'dashicons-media-spreadsheet',   14 );
    add_menu_page(   __( 'Custom Menu Title', 'textdomain' ),  'Add Universal',  'edit_level_page',  'add_level_page',  '', 'dashicons-media-spreadsheet',   16 );
    add_menu_page(   __( 'Custom Menu Title', 'textdomain' ),  'Main Home Page',  'edit_level_page',  'add_level_page',  '', 'dashicons-media-spreadsheet',   17 );
    add_menu_page(   __( 'Custom Menu Title', 'textdomain' ),  'Add GATE 1 Page',  'edit_level_page',  'add_level_page',  '', 'dashicons-media-spreadsheet',   21 );
    add_menu_page(   __( 'Custom Menu Title', 'textdomain' ),  'New Home Page',  'edit_level_page',  'add_level_page',  '', 'dashicons-media-spreadsheet',   22 );
    add_menu_page(   __( 'Custom Menu Title', 'textdomain' ),  'New Online Classes',  'edit_level_page',  'add_level_page',  '', 'dashicons-media-spreadsheet',   23 );
    add_menu_page(   __( 'Custom Menu Title', 'textdomain' ),  'New Paid Material',  'edit_level_page',  'add_level_page',  '', 'dashicons-media-spreadsheet',   24 );
    add_menu_page(   __( 'Custom Menu Title', 'textdomain' ),  'Home Page 2023',  'edit_level_page',  'add_level_page',  '', 'dashicons-media-spreadsheet' );
}
add_action( 'admin_menu', 'add_level_page_menu' );

add_action( 'admin_menu' , 'linkedurl_function' );
function linkedurl_function() {
    global $menu;
    $menu[7][2] = "post-new.php?post_type=page&leveltype=l2";
    $menu[8][2] = "post-new.php?post_type=page&leveltype=l3";
    $menu[9][2] = "post-new.php?post_type=page&leveltype=l4";
    $menu[11][2] = "post-new.php?post_type=page&leveltype=onlineclasses";
    $menu[12][2] = "post-new.php?post_type=page&leveltype=paidmaterial";
    $menu[13][2] = "post-new.php?post_type=page&leveltype=syllabus";
    $menu[14][2] = "post-new.php?post_type=page&leveltype=recruitment";
    $menu[16][2] = "post-new.php?post_type=page&leveltype=universal";
    $menu[17][2] = "post-new.php?post_type=page&leveltype=mainhome";
    $menu[21][2] = "post-new.php?post_type=page&leveltype=gate1";
    $menu[22][2] = "post-new.php?post_type=page&leveltype=newhome";
    $menu[23][2] = "post-new.php?post_type=page&leveltype=newonlineclasses";
    $menu[24][2] = "post-new.php?post_type=page&leveltype=newpaidmaterial";
    $menu[104][2] = "post-new.php?post_type=page&leveltype=homepage2023";
}

/*disable gitenberg*/
add_filter('use_block_editor_for_post', '__return_false');

function add_meta_boxes_l1() {
    add_meta_box( 'l1-level_type-41', 'Level Page', 'level_type_l1', 'page','after-editor','high' );
    ?>
    <style>
        #l1-level_type-4{display: none;}
    </style>
    <?php
}
if(isset($_GET['post'])){
    $postID=$_GET['post'];
    $elementor_page = get_post_meta( $postID, '_elementor_edit_mode', true );
}
if ( isset($elementor_page) && ! !$elementor_page ) {
}else{
    add_action( 'add_meta_boxes', 'add_meta_boxes_l1' );
}
function level_type_l1(){
    if(isset($_GET['action']) && $_GET['action']=='edit'){
        $page_type=get_post_meta($_GET['post'],'_ls_level_type',true);

        echo "calld ".$page_type;
    }

    if(isset($_GET['leveltype'])){
        $levelType=$_GET['leveltype'];
    }else{
        $levelType="";    
    }

    if((!isset($levelType) && $levelType!="l2" && $levelType!="l3" && $levelType!="onlineclasses" && (isset($page_type) && $page_type!="l2-page" && $page_type!="l3-page" && $page_type!="l4-page" && $page_type!="onlineclasses-page" && $page_type!="paidmaterial-page" && $page_type!="universal-page" && $page_type!="syllabus-page" && $page_type!="recruitment-page" && $page_type!="mainhome-page" && $page_type!="gate1-page" && $page_type!="newhome-page" && $page_type!="homepage2023-page" && $page_type!="newonlineclasses-page" && $page_type!="newpaidmaterial-page"  && $page_type!="homepage2023-page")) || (isset($page_type) && $page_type=="l1-page") ){
        ?>
        <input type="hidden" name="level_type" value="l1-page" /> 
        <?php
    }
}


function relatedpages_menus() {
	add_menu_page(   'Related Pages',   'Related Pages', apply_filters( 'manage_relatedpages_menu', 'edit_posts' ),'relatedpages','relatedpages_fun');
}
add_action( 'admin_menu', 'relatedpages_menus' );

function relatedpages_fun(){
	require_once  LEVEL_PAGES_DIRECTORY  . "/relatedpages/relatedpages.php";
}
?>